##### Coverage Report - org.apache.commons.configuration.tree.ConfigurationNodeVisitorAdapter

Classes in this File | Line Coverage | Branch Coverage | Complexity

ConfigurationNodeVisitorAdapter

75% | 3/4

N/A | N/A

1.0;1

1

     /*

2

      * Licensed to the Apache Software Foundation (ASF) under one or more

3

      * contributor license agreements.  See the NOTICE file distributed with

4

      * this work for additional information regarding copyright ownership.

5

      * The ASF licenses this file to You under the Apache License, Version 2.0

6

      * (the "License"); you may not use this file except in compliance with

7

      * the License.  You may obtain a copy of the License at

8

      *

9

      *     http://www.apache.org/licenses/LICENSE-2.0

10

      *

11

      * Unless required by applicable law or agreed to in writing, software

12

      * distributed under the License is distributed on an "AS IS" BASIS,

13

      * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

14

      * See the License for the specific language governing permissions and

15

      * limitations under the License.

16

      */

17

     package org.apache.commons.configuration.tree;

18

19

     /**

20

      * <p>

21

      * A simple adapter class that simplyfies writing custom node visitor

22

      * implementations.

23

      * </p>

24

      * <p>

25

      * This class provides dummy implementations for the methods defined in the

26

      * <code>ConfigurationNodeVisitor</code> interface. Derived classes only need

27

      * to override the methods they really need.

28

      * </p>

29

      *

30

      * @author Oliver Heger

31

      */

32

998

     public class ConfigurationNodeVisitorAdapter implements

33

             ConfigurationNodeVisitor

34

     {

35

         /**

36

          * Empty dummy implementation of this interface method.

37

          *

38

          * @param node the node

39

          */

40

         public void visitBeforeChildren(ConfigurationNode node)

41

         {

42

0

         }

43

44

         /**

45

          * Empty dummy implementation of this interface method.

46

          *

47

          * @param node the node

48

          */

49

         public void visitAfterChildren(ConfigurationNode node)

50

         {

51

1648

         }

52

53

         /**

54

          * Dummy implementation of this interface method. Returns always <b>false</b>.

55

          *

56

          * @return the terminate flag

57

          */

58

         public boolean terminate()

59

         {

60

2224

             return false;

61

         }

62

     }